# Uses of Class
net.sf.statcvs.model.Revision

Packages that use Revision
Package
Description
net.sf.statcvs.input
This package is responsible for parsing CVS logs and working copy and creating a StatCVS model from them.
net.sf.statcvs.model
Classes providing a representation of all log data in a repository.
net.sf.statcvs.output
net.sf.statcvs.reports

## Uses of Revision in net.sf.statcvs.input

Methods in net.sf.statcvs.input with parameters of type Revision
Modifier and Type
Method
Description
`protected void`
CommitListBuilder.`addNewCommit(Revision rev)`
`protected void`
CommitListBuilder.`addRevToCommit(Commit commit, Revision rev)`
`static boolean`
CommitListBuilder.`isSameCommit(Commit commit, Revision rev)`
Returns `true` if change is part of the commit, that is if they have the same author, the same message, and are within the same timeframe.
`protected void`
CommitListBuilder.`processRevision(Revision rev)`

## Uses of Revision in net.sf.statcvs.model

Methods in net.sf.statcvs.model that return Revision
Modifier and Type
Method
Description
`Revision`
VersionedFile.`addBeginOfLogRevision(Date date, int lines, SortedSet symbolicNames)`
Adds a "begin of log" revision to the file.
`Revision`
VersionedFile.`addChangeRevision(String revisionNumber, Author author, Date date, String comment, int lines, int linesDelta, int replacedLines, SortedSet symbolicNames)`
Adds a change revision to the file.
`Revision`
VersionedFile.`addDeletionRevision(String revisionNumber, Author author, Date date, String comment, int lines, SortedSet symbolicNames)`
Adds a deletion revision to the file.
`Revision`
VersionedFile.`addInitialRevision(String revisionNumber, Author author, Date date, String comment, int lines, SortedSet symbolicNames)`
Adds an initial revision to the file.
`Revision`
VersionedFile.`getInitialRevision()`
Gets the earliest revision of this file.
`Revision`
VersionedFile.`getLatestRevision()`
Gets the latest revision of this file.
`Revision`
Revision.`getPreviousRevision()`
Returns the predecessor of this revision or `null` if it is the first revision for the file.
`Revision`
VersionedFile.`getPreviousRevision(Revision revision)`
Returns the revision which was replaced by the revision given as argument.
Methods in net.sf.statcvs.model with parameters of type Revision
Modifier and Type
Method
Description
`protected void`
Author.`addRevision(Revision revision)`
Adds a revision for this author; called by `Revision` constructor
`void`
Commit.`addRevision(Revision revision)`
Adds a revision to the commit.
`protected void`
SymbolicName.`addRevision(Revision rev)`
Adds a revision to this symbolic name.
`Revision`
VersionedFile.`getPreviousRevision(Revision revision)`
Returns the revision which was replaced by the revision given as argument.
Constructors in net.sf.statcvs.model with parameters of type Revision
Modifier
Constructor
Description
``
`Commit(Revision revision)`
Creates a new instance which consists of the given revision.

## Uses of Revision in net.sf.statcvs.output

Methods in net.sf.statcvs.output with parameters of type Revision
Modifier and Type
Method
Description
`String`
ChoraIntegration.`getDiffUrl(Revision oldRevision, Revision newRevision)`
`String`
CvswebIntegration.`getDiffUrl(Revision oldRevision, Revision newRevision)`
`String`
JCVSWebIntegration.`getDiffUrl(Revision oldRevision, Revision newRevision)`
`String`
TracIntegration.`getDiffUrl(Revision oldRevision, Revision newRevision)`
`String`
ViewCvsIntegration.`getDiffUrl(Revision oldRevision, Revision newRevision)`
`String`
ViewVcIntegration.`getDiffUrl(Revision oldRevision, Revision newRevision)`
`String`
WebRepositoryIntegration.`getDiffUrl(Revision oldRevision, Revision newRevision)`
Returns a URL to a diff in the web repository browser.
`String`
ChoraIntegration.`getFileViewUrl(Revision revision)`
`String`
CvswebIntegration.`getFileViewUrl(Revision revision)`
`String`
JCVSWebIntegration.`getFileViewUrl(Revision revision)`
`String`
TracIntegration.`getFileViewUrl(Revision revision)`
`String`
ViewCvsIntegration.`getFileViewUrl(Revision revision)`
`String`
WebRepositoryIntegration.`getFileViewUrl(Revision revision)`
Returns a URL to a file in the web repository browser.

## Uses of Revision in net.sf.statcvs.reports

Methods in net.sf.statcvs.reports with parameters of type Revision
Modifier and Type
Method
Description
`void`
LOCSeriesBuilder.`addRevision(Revision revision)`
Adds a revision to the time series.